it-swarm-ja.com

DebianパッケージディレクトリのEclipseバージョンが古すぎます

Debianの創設者であるIanMurdockは、パッケージ管理は「Linuxが業界にもたらした最大の進歩」であるとコメントしています。 ( ウィキペディア

しかし、何らかの理由で、Debianパッケージディレクトリからの古い Eclipse 3.5.2 ではなく、最新バージョンが必要な場合は、Eclipseを手動でインストールする必要があります。どうして?

新しいバージョンを入手するためのより便利な方法はありますか?

(手動インストールはほとんど手間がかからないことはわかっていますが、それでも不要だと思います)

2
Håvard Geithus

テストと不安定なリポジトリを確認してください。どちらも Eclipse 3.8rc4 (最悪の可能性があります...)

編集:申し訳ありませんが、より最新のものが必要な場合は、手動でコンパイルする必要があります。

Debianを使用することには利点がありますが、すべてに欠点があります。これが「堅実な」システムの欠点です。

1
SOMN

@Claudiopの回答を拡張するには、ファイル/etc/apt/sources.listを編集します。次のようなものが必要です。

deb http://ftp.br.debian.org/debian squeeze main
deb-src http://ftp.br.debian.org/debian squeeze main

deb http://ftp.br.debian.org/debian squeeze-updates main
deb-src http://ftp.br.debian.org/debian squeeze-updates main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

Debianには4つの主要なリポジトリ(lennyを数えると5つ)があり、安定(squeeze)、テスト(wheezy)、不安定(sid)、実験的で、それぞれに徐々に新しいソフトウェアバージョンが含まれています。したがって、たとえば不安定なリポジトリを使用するには、/etc/apt/sources.listを次のように変更します。

deb http://ftp.br.debian.org/debian sid main
deb-src http://ftp.br.debian.org/debian sid  main

deb http://ftp.br.debian.org/debian sid-updates main
deb-src http://ftp.br.debian.org/debian sid-updates main

deb http://security.debian.org/ sid/updates main
deb-src http://security.debian.org/ sid/updates main

Sudo apt-get updateを実行するか、シナプスを介してソースを更新します。 Sudo apt-get install Eclipseを実行して、新しいバージョンのEclipseをインストールできるようになりました。

Debianリリースの詳細については、 this ページをご覧ください。

最先端の最新リリースについては、@ Claudiopも述べているように、Eclipseからリリースをダウンロードする必要があります ダウンロードページ そして彼らの指示に従ってコンパイルしてインストールします。

1
terdon